/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.1.7
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*TABLE OF CONTENTS

01 - Header
02 - Global
03 - Mobile
*/

/* /////////////////////////////////////////////////////////////////////
//  01 - Header
/////////////////////////////////////////////////////////////////////*/

.sticky-header {
  background: transparent;
  transition: 0.3s background;
}

.sticky-header.stick {
  background: var(--e-global-color-secondary);
  transition: 0.3s background;
}

/* /////////////////////////////////////////////////////////////////////
//  02 - Global
/////////////////////////////////////////////////////////////////////*/

button,
button:hover,
*:focus {
  outline: 0 !important;
  -webkit-box-shadow: 0 0 0 0rem #fff, 0 0 0 0rem #fff !important;
  box-shadow: 0 0 0 0rem #fff, 0 0 0 0rem #fff !important;
}

button::-moz-focus-inner {
  padding: 0;
}

ul {
  padding-left: 16px;
  margin-top: 0;
  margin-bottom: 0.9rem;
}

h1 a,
h2 a,
h3 a,
h4 a,
h5 a,
h6 a {
  font-weight: inherit !important;
}

a {
  color: #191919;
}

.comments-area a,
.page-content a {
  text-decoration: none;
}

.absolute-center {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  pointer-events: none;
}

.blurred-image,
.blurred-image .elementor-widget-container {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  overflow: hidden;
  z-index: -1;
  margin-bottom: 0 !important;
}

.blurred-image img {
  object-fit: cover;
  object-position: center center;
  width: 100%;
  height: 100%;
  filter: blur(4px);
  transform: scale(1.1);
}

.hover-effect .post-wrapper,
.hover-effect .tax-wrapper {
  -webkit-transition: box-shadow 0.5s, -webkit-transform 0.5s;
  transition: transform 0.5s, box-shadow 0.5s, -webkit-transform 0.5s,
    background-color 0.5s;
}

.hover-effect .post-wrapper:hover,
.hover-effect .tax-wrapper:hover {
  -webkit-box-shadow: 0 13px 21px 6px rgb(0 0 0 / 20%);
  box-shadow: 0 13px 21px 6px rgb(0 0 0 / 20%);
  -webkit-transform: translate(0, -10px);
  -ms-transform: translate(0, -10px);
  transform: translate(0, -10px);
  -webkit-transition: box-shadow 0.5s, -webkit-transform 0.5s;
  transition: transform 0.5s, box-shadow 0.5s, -webkit-transform 0.5s,
    background-color 0.5s;
}

.elementor-icon-wrapper,
.elementor-button-icon {
  display: flex;
}

.elementor-icon svg,
.elementor-icon-list-icon svg {
  stroke-width: 1px;
}

.pro svg,
.con svg {
  stroke-width: 2px;
}

body {
  counter-reset: fraction-number;
}

.numbered {
  counter-increment: fraction-number;
}

.numbered:after {
  content: counter(fraction-number);
  font-size: 16px;
  border-radius: 100%;
  width: 2em;
  line-height: 2em;
  text-align: center;
  display: inline-block;
  background: #fff;
  color: #ffb600;
  position: absolute;
  top: 50%;
  left: 0;
  border: 2px solid #ffb600;
  transform: translate(0%, -50%);
  box-sizing: content-box;
}

.elementor-grid .post-wrapper:nth-child(-n + 2) .numbered:before {
  background: #ffb600;
}

.elementor-grid .post-wrapper:nth-child(1) .numbered:after {
  background: #ffb600;
  color: #fff;
  border: 0;
}

.elementor-grid .post-wrapper:nth-child(2) .numbered:after {
  background: #bc9115 !important;
  color: #fff;
  border: 0;
}

.inner-content h1,
.inner-content h2,
.inner-content h3,
.inner-content h4,
.inner-content h5,
.inner-content h6 {
  font-size: var(--e-global-typography-db08eb3-font-size);
}

#main-list .elementor-grid .post-wrapper:nth-child(1) .inner-content,
#archive-list .elementor-grid .post-wrapper:nth-child(1) .inner-content {
  background-color: #f5efe6 !important;
  border: 4px solid #feb500;
}

#main-list .elementor-grid .post-wrapper:nth-child(2) .inner-content,
#archive-list .elementor-grid .post-wrapper:nth-child(2) .inner-content {
  background-color: #ece9de;
  border-bottom: 4px solid #bc9115;
  border-left: 4px solid #bc9115;
  border-right: 4px solid #bc9115;
}

#main-list .elementor-grid .post-wrapper:nth-child(even) .inner-content,
#archive-list .elementor-grid .post-wrapper:nth-child(even) .inner-content {
  background: #f0f0f1;
}

.btn-1 .elementor-button,
.btn-1 .post-title {
  backface-visibility: hidden;
  /*background: linear-gradient(180deg, #fea 0%, #dc8 49%, #a95 51%, #dc8 100%);*/
  background: var(--e-global-color-accent);
}

.btn-1 {
  position: relative;
  overflow: hidden;
  transform: scale(1);
  transition: transform 0.3s;
}

.btn-1:hover {
  transform: scale(1.05);
}

.btn-1 .elementor-button-wrapper {
  overflow: hidden;
}

.btn-1 .elementor-button-wrapper a::after {
  content: "";
  background: linear-gradient(120deg, rgba(0, 0, 0, 0) 44%, rgba(255, 255, 255, 0.5047268907563025) 50%, rgba(0, 0, 0, 0) 56%);
  position: absolute;
  top: 0;
  bottom: 0;
  width: 100%;
  left: -100%;
  transition: left 0s;
}

.btn-1 .elementor-button-wrapper a:hover::after {
  left: 100%;
  transition: left 0.5s;
}

strong {
  color: #ffb600;
}

ul.pro,
ul.con {
  list-style: none;
  margin: 0;
  padding: 0;
}

ul.pro span,
ul.con span {
  font-weight: bold;
  margin-right: 5px;
  opacity: 0.5;
}

.skin ul.pro > li:nth-child(n + 4) {
  display: none;
}

.elementor-button {
  justify-content: center;
  display: flex;
}

.elementor-button-content-wrapper {
  align-items: center;
}

.item-h3 {
  list-style: circle;
  margin-left: 15px;
}

.item-h4 {
  padding-left: 30px;
}

.item-h5 {
  padding-left: 45px;
}

.item-h6 {
  padding-left: 60px;
}

ul.items li a {
  color: var(--e-global-color-text);
  transition: 0.2s;
}

ul.items li:hover a {
  color: var(--e-global-color-accent);
}

.toc-header {
  color: var(--e-global-color-5381075);
  font-size: var(--e-global-typography-d2ec50c-font-size);
  font-weight: var(--e-global-typography-d2ec50c-font-weight);
  line-height: var(--e-global-typography-d2ec50c-line-height);
  letter-spacing: var(--e-global-typography-d2ec50c-letter-spacing);
  word-spacing: var(--e-global-typography-d2ec50c-word-spacing);
  border-bottom: 1px solid rgba(0, 0, 0, 0.1);
  margin-bottom: 20px;
}

.star-bg .elementor-star-rating i:before {
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  width: 100%;
}

.star-bg .elementor-star-rating i {
  width: 40px;
  height: 40px;
  line-height: 40px;
  border-radius: 100%;
  background: #191919;
}

.inner-content {
  word-break: keep-all;
}

#mobile-menu {
  max-width: 85%;
  width: 400px;
}

/* Mobile Menu Scrollbar */

.mobile-menu-inner {
  max-height: 400px;
  overflow-x: hidden;
  overflow-y: scroll;
}

.mobile-menu-inner::-webkit-scrollbar {
  width: 10px;
}

.mobile-menu-inner::-webkit-scrollbar-track {
  background: #000;
}

.mobile-menu-inner::-webkit-scrollbar-thumb {
  background: #888;
}

.mobile-menu-inner::-webkit-scrollbar-thumb:hover {
  background: #555;
}

.hfe-input-focus i {
  color: var(--e-global-color-accent) !important;
}

/* /////////////////////////////////////////////////////////////////////
//  03 - Mobile
/////////////////////////////////////////////////////////////////////*/

@media (prefers-reduced-motion: no-preference) {
  html {
    scroll-behavior: smooth;
  }
}

@media all and (min-width: 768px) {
  #archive-list .pros-list {
    display: none;
  }
}

@media all and (max-width: 767px) {
  .mobile-hidden .elementor-icon-box-content {
    display: none;
  }

  .numbered:after {
    margin-right: 0;
    border-radius: 0;
    width: 0;
    line-height: 25px;
    background: transparent;
    color: #191919;
    position: absolute;
    top: 0;
    left: 0;
    transform: none;
	border: 0;
  }
  
  .numbered:before {
    content: "";
    margin-right: 0;
    border-radius: 0;
    width: 140px;
    height: 130px;
    background: #efefef;
    color: #191919;
    position: absolute;
    top: -90px;
    left: -95px;
    display: inline-block;
    transform: rotate(132deg);
  }
}

@media all and (max-width: 550px) {
  .elementor-widget-taxonomy-widget .elementor-grid,
  .elementor-widget-post-widget .elementor-grid {
    grid-template-columns: repeat(1, 1fr) !important;
  }
	
  #recommendations .elementor-widget-post-widget .elementor-grid {
    grid-template-columns: repeat(2, 1fr) !important;
  }
}